/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strdup_clean.c                                  :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: tdouge <marvin@42.fr>                      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/14 04:45:40 by tdouge            #+#    #+#             */
/*   Updated: 2016/12/14 04:45:47 by tdouge           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strdup_clean(char *s, char *del)
{
	char	*str;

	str = ft_strdup(s);
	ft_memdel((void **)&del);
	return (str);
}
